#include <stdio.h>
#include <string.h>
#include "lua.h"
#include "lauxlib.h"
#include "lualib.h"

static int l_sin(lua_State *L) {
	double d = lua_tonumber(L, 1);
	lua_pushnumber(L, sin(d));
	return 1; /*number of results*/
}

static const struct luaL_Reg mylib[] = { { "sin", l_sin }, { NULL, NULL } /*sentinel*/
};

int luaopen_mylib(lua_State *L) {
	luaL_register(L, "mylib", mylib); /* lua 5.1*/
	//luaL_newlib(L, mylib); /* lua 5.2 and above */
	return 1;
}

